//
//  AudioDataModel.m
//  AVAudioRecord
//
//  Created by Jax on 16/6/13.
//  Copyright © 2016年 Jax. All rights reserved.
//

#import "AudioDataModel.h"

static NSString * const kTitleKey = @"title";
static NSString * const kURLKey = @"url";
static NSString * const kDateKey = @"date";
static NSString * const kCurrentTime = @"currentTime";

@implementation AudioDataModel

- (instancetype)initWithTitle:(NSString *)title url:(NSURL *)url date:(NSString *)date currentTime:(NSString *)currentTime {
    self = [super init];
    if (self) {
        _title       = [title copy];
        _fileURL     = url;
        _date        = [date copy];
        _currentTime = [currentTime copy];
    }
    return self;
}

- (void)encodeWithCoder:(NSCoder *)coder {
    [coder encodeObject:self.title forKey:kTitleKey];
    [coder encodeObject:self.fileURL forKey:kURLKey];
    [coder encodeObject:self.date forKey:kDateKey];
    [coder encodeObject:self.currentTime forKey:kCurrentTime];
}

- (id)initWithCoder:(NSCoder *)decoder {
    self = [super init];
    if (self) {
        _title = [decoder decodeObjectForKey:kTitleKey];
        _fileURL = [decoder decodeObjectForKey:kURLKey];
        _date = [decoder decodeObjectForKey:kDateKey];
        _currentTime = [decoder decodeObjectForKey:kCurrentTime];

    }
    return self;
}

- (void)deleteAudioFile {
    NSError *error;
    [[NSFileManager defaultManager] removeItemAtURL:self.fileURL error:&error];
    
}

@end
